.header {
	top: 0;
	left: 0;
	right: 0;
	z-index: 1000;
	padding: 10px 0;
	position: fixed;

	&__wrap {
		height: 60px;
		display: flex;
		position: relative;
		padding: 10px 50px 10px 20px;
		border-radius: 15px;
		align-items: center;
		justify-content: space-between;
		border: 1px solid rgba(255, 255, 255, 0.95);
		background: rgba(255, 255, 255, 1);
		box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.04);
	}

	&__logo {
		width: 118px;
		font-size: 0;
		line-height: 0;
		display: block;
		flex-shrink: 0;
	}

	&__phone {
		width: 30px;
		font-size: 0;
		line-height: 0;
		display: block;
		white-space: nowrap;
		color: $blue-100;
		text-decoration: none;

		&:hover {
			color: $blue-100;
			text-decoration: none;
		}

		&--icon {
			display: block;
		}

		&--text {
			display: none;
		}
	}

	&__toggle {
		top: 50%;
		right: 10px;
		width: 30px;
		height: 30px;
		border: none;
		outline: none;
		font-size: 0;
		line-height: 0;
		cursor: pointer;
		margin-top: -15px;
		position: absolute;

		span,
		&::after,
		&::before {
			right: 3px;
			height: 2px;
			z-index: 1;
			content: '';
			display: block;
			border-radius: 2px;
			position: absolute;
			background: #222D2F;
			transition: .3s;
		}

		&::after {
			top: 8px;
			width: 24px;
		}

		&::before {
			bottom: 8px;
			width: 24px;
		}

		span {
			top: 50%;
			width: 18px;
			margin-top: -1px;
		}
	}

	&__nav {
		left: 0;
		right: 0;
		top: 70px;
		display: none;
		max-height: calc(100% - 70px);
		overflow-y: auto;
		padding: 20px 20px 45px 20px;
		z-index: 999;
		position: fixed;
		background: $white;
		box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.04);

		&--wrap {
			margin: 0 15px;
		}

		&--menu {
			padding: 0;
			list-style: none;
			margin: 0 0 20px 0;

			li {
				a {
					padding: 10px;
					color: #2a2a2a;
					font-size: font-size-rel(17px);
					line-height: font-size-rel(25px);
					white-space: nowrap;
					text-decoration: none;
					display: inline-block;
				}
			}
		}

		&--callback {
			padding-top: 30px;
			border-top: 1px solid #EFEFEF;

			.btn {
				width: 100%;
			}
		}

	}

	@media (min-width: $screen-sm-min) {
		padding-top: 20px;

		&__wrap {
			height: 70px;
			margin: 0 -20px;
		}

		&__logo {
			width: 139px;
		}

		&__nav {

			&--callback {

				.btn {
					width: auto;
				}
			}
		}
	}

	@media (min-width: $screen-md-min) {
		position: absolute;

		&__wrap {
			padding: 10px 25px 10px 25px;
		}

		&__toggle {
			display: none;
		}

		&__phone {
			width: auto;
			font-weight: 500;
			font-size: font-size-rel(17px);
			line-height: font-size-rel(25px);

			&--icon {
				display: none;
			}

			&--text {
				display: inline;
			}
		}

		&__nav {
			top: auto;
			left: auto;
			right: auto;
			margin: 0;
			padding: 0;
			display: block;
			position: relative;
			overflow-y: visible;
			max-height: inherit;
			box-shadow: none;
			background: transparent;

			&--wrap {
				margin: 0;
			}

			&--menu {
				margin: 0;
				padding: 0;
				display: flex;
			}

			&--callback {
				display: none;
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&__wrap {
			margin: 0 -20px;
			padding: 10px 25px 10px 25px;
		}

		&__nav {

			&--menu {

				li {
					margin: 0 10px;
				}
			}
		}
	}

	@media (min-width: $screen-xl-min) {

		&__wrap {
			margin: 0 -25px;
		}
	}
}

.page-home {

	@media (min-width: $screen-md-min) {

		.header {
			position: fixed;
		}
	}
}

.nav-open {

	.header {
		background: #fff;

		&__wrap {
			border-radius: 0;
			box-shadow: none;
			border-color: #fff;
			border-bottom-color: #EFEFEF;
		}

		&__toggle {

			span {
				opacity: 0;
			}

			&::after {
				top: 14px;
				transition: .3s;
				transform: rotate(45deg);
			}

			&::before {
				bottom: 14px;
				transition: .3s;
				transform: rotate(-45deg);
			}
		}

		&__nav {
			display: block ;
		}
	}

	@media (min-width: $screen-md-min) {

		.header {
			background: transparent;

			&__wrap {
				border-radius: 8px;
				border-color:  rgba(0, 0, 0, 0.08);
				border-bottom-color:  rgba(0, 0, 0, 0.08);
				box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.04);
			}
		}
	}
}